Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class ModeSwitchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  dioscuri.module.cpu32.ModeSwitchException

All Implemented Interfaces:
  java.io.Serializable

    public class ModeSwitchException

extends java.lang.RuntimeException

Author:
  Bram Lohman, Bart Kiers
See Also:
  Serialized Form

Field Summary
`static int` | `PROTECTED_MODE`
`static ModeSwitchException` | `PROTECTED_MODE_EXCEPTION`
`static int` | `REAL_MODE`
`static ModeSwitchException` | `REAL_MODE_EXCEPTION`
`static int` | `VIRTUAL8086_MODE`
`static ModeSwitchException` | `VIRTUAL8086_MODE_EXCEPTION`

Constructor Summary
`ModeSwitchException(int mode)`

Method Summary
`int` | `getNewMode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REAL_MODE

    public static final int REAL_MODE

See Also:
  Constant Field Values

### PROTECTED_MODE

    public static final int PROTECTED_MODE

See Also:
  Constant Field Values

### VIRTUAL8086_MODE

    public static final int VIRTUAL8086_MODE

See Also:
  Constant Field Values

### PROTECTED_MODE_EXCEPTION

    public static final ModeSwitchException PROTECTED_MODE_EXCEPTION

### REAL_MODE_EXCEPTION

    public static final ModeSwitchException REAL_MODE_EXCEPTION

### VIRTUAL8086_MODE_EXCEPTION

    public static final ModeSwitchException VIRTUAL8086_MODE_EXCEPTION

Constructor Detail

### ModeSwitchException

    public ModeSwitchException(int mode)

Parameters:
  `mode` -

Method Detail

### getNewMode

    public int getNewMode()

  Returns:
    -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD